ARTSCLASSLIB = ../../classes/lib/libArts.la
ARTSCLASSINC = -I../../classes/include
CXX = @CXX@
CXXFLAGS = @CXXFLAGS@
top_builddir = ../..
LIBTOOL = /bin/sh $(top_builddir)/libtool

all: artsprotos

clean:
	rm -f *.o *.lo artsprotos
	rm -Rf .libs

strip:: artsprotos
	@-if [ -f .libs/artsprotos ]; then \
	  strip .libs/artsprotos ; \
	else \
	  strip artsprotos ; \
	fi

artsprotos: artsprotos.o ${ARTSCLASSLIB}
	${LIBTOOL} ${CXX} ${CXXFLAGS} artsprotos.o ${ARTSCLASSLIB} @LIBS@ -o artsprotos

artsprotos.o: artsprotos.cc ../../classes/include/*.hh
	${CXX} ${CXXFLAGS} ${ARTSCLASSINC} -c artsprotos.cc

install:: strip
	${LIBTOOL} ../../install-sh -c -m 555 artsprotos @bindir@/artsprotos
	../../install-sh -c -m 444 artsprotos.man @mandir@/manl/artsprotos.l

tarball::
	@TAR@ -rvf ../../@PKG_VERSION@_@OSNAME@.tar @bindir@/artsprotos
	@TAR@ -rvf ../../@PKG_VERSION@_@OSNAME@.tar @mandir@/manl/artsprotos.l


